unit QuickToolsDelphiMainForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, ExtCtrls, Menus, ActnList;

type
  TqtDelphiMainForm = class(TForm)
    sbMinimize: TSpeedButton;
    sbClose: TSpeedButton;
    Timer: TTimer;
    sbComponents: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure sbMinimizeClick(Sender: TObject);
    procedure sbCloseClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure sbComponentsClick(Sender: TObject);
  private
    { Private declarations }
    procedure ApplicationActivate(Sender: TObject);
    procedure ApplicationDeactivate(Sender: TObject);
  public
    { Public declarations }
  end;

var
  qtDelphiMainForm: TqtDelphiMainForm;

implementation

uses
  QuickToolsGlobal, QuickToolsMain;

{$R *.DFM}

procedure TqtDelphiMainForm.FormCreate(Sender: TObject);
begin
  Left:=Screen.Width-45;
  Top:=0;
end;

procedure TqtDelphiMainForm.sbMinimizeClick(Sender: TObject);
begin
  Application.Minimize;
end;

procedure TqtDelphiMainForm.sbCloseClick(Sender: TObject);
begin
  Application.MainForm.Close;
end;

procedure TqtDelphiMainForm.FormShow(Sender: TObject);
begin
//  SetWindowPos(Self.Handle,HWND_TOPMOST,0,0,0,0,SWP_NOSIZE or SWP_NOMOVE or SWP_NOACTIVATE);
//  SetWindowPos(Self.Handle,HWND_TOPMOST,0,Screen.Width-45,0,0,SWP_NOSIZE or SWP_NOACTIVATE);
  SetWindowRgn(Self.Handle,CreateRectRgn(0,0,45,15),false);
end;

procedure TqtDelphiMainForm.TimerTimer(Sender: TObject);
begin
  if Application.Active then
  begin
    SetWindowPos(Self.Handle,HWND_TOPMOST,0,0,0,0,SWP_NOSIZE or SWP_NOMOVE or SWP_NOACTIVATE);
//    SetWindowPos(Self.Handle,HWND_TOPMOST,0,Screen.Width-45,0,0,SWP_NOSIZE or SWP_NOACTIVATE);
  end;
end;

procedure TqtDelphiMainForm.ApplicationActivate(Sender: TObject);
begin
  ShowWindow(Self.Handle,SW_SHOWNOACTIVATE);
  Left:=Screen.Width-45;
//  SetWindowPos(Self.Handle,HWND_TOPMOST,0,Screen.Width-45,0,0,SWP_NOSIZE or SWP_NOACTIVATE);
end;

procedure TqtDelphiMainForm.ApplicationDeactivate(Sender: TObject);
begin
  ShowWindow(Self.Handle,SW_HIDE);
end;

procedure TqtDelphiMainForm.sbComponentsClick(Sender: TObject);
var
  i,j:Integer;
//  s:string;
begin
//  s:='';
//  for i:=0 to Application.MainForm.ComponentCount-1 do
//  begin
//    s:=s+Application.MainForm.Components[i].Name+':'+Application.MainForm.Components[i].ClassName+#13+#10;
//    if Length(s)>500 then
//    begin
//      Application.MessageBox(PChar(s),'QuickTools',mb_ok);
//      s:='';
//    end;
//  end;
  for i:=0 to Application.MainForm.ComponentCount-1 do
  begin
    if Application.MainForm.Components[i].Name='ViewPaletteCommand' then
    begin
      //TMenuItem(Application.MainForm.Components[i]).Click;
      TAction(Application.MainForm.Components[i]).Execute;
      QuickToolsMainObject.AlignEditorForm;
      QuickToolsMainObject.AlignPropertyInspector;

      for j:=0 to Screen.FormCount-1 do
        if Screen.Forms[j].Name='EditWindow_0' then
          Screen.Forms[j].SetFocus;
          
      //sbComponents.Down:=TAction(Application.MainForm.Components[i]).Checked;
      break;
    end;
  end;
end;

var
  OldApplicationActivate:TNotifyEvent;
  OldApplicationDeactivate:TNotifyEvent;
initialization
  if not ProjOptDialog then
  begin
    qtDelphiMainForm:=TqtDelphiMainForm.Create(nil);
    qtDelphiMainForm.Hide;
    OldApplicationActivate:=Application.OnActivate;
    OldApplicationDeactivate:=Application.OnDeactivate;
    Application.OnActivate:=qtDelphiMainForm.ApplicationActivate;
    Application.OnDeactivate:=qtDelphiMainForm.ApplicationDeactivate;
  end;
finalization
  if not ProjOptDialog then
  begin
    Application.OnActivate:=OldApplicationActivate;
    Application.OnDeactivate:=OldApplicationDeactivate;
    qtDelphiMainForm.Free;
  end;
end.

