unit QuickToolsOptions;

interface

{$I QuickTools.inc}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls;

type
  TfmOptions = class(TForm)
    imLogo1: TImage;
    labVersion: TLabel;
    Bevel1: TBevel;
    labDate: TLabel;
    labCopyright: TLabel;
    btOK: TButton;
    btCancel: TButton;
    ckHideCaptions: TCheckBox;
    ckMaximizeEditor: TCheckBox;
    ckCreateCompDate: TCheckBox;
    Label1: TLabel;
    ckChangeIcon: TCheckBox;
    ckCloseDefault: TCheckBox;
    imLogo2: TImage;
    edOIHeight: TEdit;
    udOIHeight: TUpDown;
    Label2: TLabel;
    Bevel2: TBevel;
    imLogo3: TImage;
    procedure FormCreate(Sender: TObject);
    procedure btOKClick(Sender: TObject);
    procedure btCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmOptions: TfmOptions;

implementation

uses
  QuickToolsGlobal;

{$R *.DFM}

procedure TfmOptions.FormCreate(Sender: TObject);
begin
  {$IFDEF Delphi6}
  labVersion.Caption:=QuickToolsName+'6 '+QuickToolsVersion;
  {$ELSE}
  labVersion.Caption:=QuickToolsName+'5 '+QuickToolsVersion;
  {$ENDIF}
  labDate.Caption:=QuickToolsDate;
  ckCloseDefault.Checked:=Options.CloseDefault;
  ckHideCaptions.Checked:=Options.HideCaptions;
  ckMaximizeEditor.Checked:=Options.MaximizeEditor;
  ckCreateCompDate.Checked:=Options.CreateCompDate;
  ckChangeIcon.Checked:=Options.ChangeIcon;
  udOIHeight.Position:=Options.ObjectInspectorHeight;
  {$IFDEF Delphi6}
  imLogo1.Hide;
  imLogo2.Show;
  {$ELSE}
  if Application.Title='C++Builder 5' then
  begin
    imLogo1.Hide;
    imLogo3.Show;
  end;
  {$ENDIF}
end;

procedure TfmOptions.btOKClick(Sender: TObject);
begin
  ModalResult:=mrOK;
end;

procedure TfmOptions.btCancelClick(Sender: TObject);
begin
  ModalResult:=mrCancel;
end;

end.
